%define		_class		HTML
%define		_subclass	QuickForm
%define		_status		stable
%define		_pearname	HTML_QuickForm_advmultiselect
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - element for HTML_QuickForm that emulate a multi-select
Summary(pl.UTF-8):	%{_pearname} - element HTML_QuickForm emulujący wielokrotną listę wyboru
Name:		php-pear-%{_pearname}
Version:	1.5.1
Release:	5
License:	PHP 3.0
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	eab022b47db9e262f6d126a9c875264f
URL:		http://pear.php.net/package/HTML_QuickForm_advmultiselect/
BuildRequires:	php-pear-PEAR
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.2.0
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-HTML_Common >= 1.2.5
Requires:	php-pear-HTML_QuickForm >= 3.2.10
Requires:	php-pear-PEAR-core >= 1:1.4.3
Suggests:	php-pear-PHPUnit
Obsoletes:	php-pear-HTML_QuickForm_advmultiselect-tests
Conflicts:	php-pear-HTML_QuickForm = 3.2.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	pear(PHPUnit.*)

%description
The HTML_QuickForm_advmultiselect package adds an element to the
HTML_QuickForm package that is two select boxes next to each other
emulating a multi-select.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet HTML_QuickForm_advmultiselect rozszerza HTML_QuickForm o dwa
znajdujące się obok siebie pola wyboru emulujące wielokrotną listę
wyboru.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/{ChangeLog,examples}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/QuickForm/*.php
%{php_pear_dir}/data
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 3033c7d
- use php(core) for php engine version deps
- release 4 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 4336d81
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 4f641f8
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 1e2f331
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 013b460
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> a6507e9
- updated to: 1.5.1

* Sun Feb 15 2009 Adam Gołębiowski <adamg@pld-linux.org> a7280b1
- updated to 1.5.0
- tests subpkg

* Fri May 02 2008 Adam Gołębiowski <adamg@pld-linux.org> 6e6ef95
- updated to 1.4.1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 7deaba2
- rel 2

* Thu Jun 21 2007 Elan Ruusamäe <glen@pld-linux.org> 0985d61
- update to 1.4.0

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> ce3ec74
- 1.3.1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 13a6801
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9ffee0a
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> d05f1ca
- BR rpm-build macros >= 1.300 for %pear_ macros

* Mon Apr 10 2006 Elan Ruusamäe <glen@pld-linux.org> 04c6ba9
- 1.2.0

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 03b18c4
- rel 2 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 32d3406
- BR php-pear-PEAR

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> 043f3d2
- require php-pear-PEAR-core, not the full PEAR package with deps

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> 58605a6
- 1.1.0

* Thu Nov 03 2005 Elan Ruusamäe <glen@pld-linux.org> 43debc4
- pearize

